


T174 = {}

function T174.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function T174:load(xmlFile)
end;
      
function T174:delete()
end;

function T174:mouseEvent(posX, posY, isDown, isUp, button)
end;
	  
function T174:keyEvent(unicode, sym, modifier, isDown)

   

end;

function T174:update(dt)
 
end;

function T174:draw()

    
end;

function T174:onLeave()

  
end;

function T174:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;


















